.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the Path.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_Path:

Path
====

**Inherits:** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Container for a :ref:`Curve3D<class_curve3d>`.

Member Variables
----------------

  .. _class_Path_curve:

- :ref:`Curve3D<class_curve3d>` **curve**


Description
-----------

This class is a container/Node-ification of a :ref:`Curve3D<class_curve3d>`, so it can have :ref:`Spatial<class_spatial>` properties and :ref:`Node<class_node>` info.

